Package com.sun.speech.freetts.en.us

# Class SuffixFSM

java.lang.Object
com.sun.speech.freetts.en.us.PronounceableFSM
com.sun.speech.freetts.en.us.SuffixFSM

public class SuffixFSM extends PronounceableFSM
Implements a finite state machine that checks if a given string is a suffix.

## Field Summary

### Fields inherited from class com.sun.speech.freetts.en.us.PronounceableFSM

`scanFromFront, transitions, vocabularySize`

## Constructor Summary

Constructors
Constructor
Description
`SuffixFSM(URL url)`
Constructs a SuffixFSM.

## Method Summary

### Methods inherited from class com.sun.speech.freetts.en.us.PronounceableFSM

`accept`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SuffixFSM

public SuffixFSM(URL url) throws IOException
Constructs a SuffixFSM.

Throws:
  `IOException`